coap_queue_t Struct Reference

Queue entry. More...

`#include <net.h>`

Collaboration diagram for coap_queue_t:
[legend]

## Data Fields

struct coap_queue_t * | next
coap_tick_t | t
| when to send PDU for the next time More...
unsigned char | retransmit_cnt
| retransmission counter, will be removed when zero More...
unsigned int | timeout
| the randomized timeout value More...
coap_session_t * | session
| the CoAP session More...
coap_tid_t | id
| CoAP transaction id. More...
coap_pdu_t * | pdu
| the CoAP PDU to send More...

## Detailed Description

Queue entry.

Definition at line 38 of file net.h.

## Field Documentation

## id

coap_tid_t coap_queue_t::id

CoAP transaction id.

Definition at line 45 of file net.h.

## next

struct coap_queue_t* coap_queue_t::next

Definition at line 39 of file net.h.

## pdu

coap_pdu_t* coap_queue_t::pdu

the CoAP PDU to send

Definition at line 46 of file net.h.

## retransmit_cnt

unsigned char coap_queue_t::retransmit_cnt

retransmission counter, will be removed when zero

Definition at line 41 of file net.h.

## session

coap_session_t* coap_queue_t::session

the CoAP session

Definition at line 44 of file net.h.

## t

coap_tick_t coap_queue_t::t

when to send PDU for the next time

Definition at line 40 of file net.h.

## timeout

unsigned int coap_queue_t::timeout

the randomized timeout value

Definition at line 43 of file net.h.

The documentation for this struct was generated from the following file:

- net.h